{
  "name": "data_controller-client",
  "description": "DataController Client",
  "angular-cli": {},
  "scripts": {
    "start": "node --max_old_space_size=4096 node_modules/@angular/cli/bin/ng serve",
    "prestart": "npm run generate-eula",
    "generate-eula": "node ./src/eula.ts",
    "license-checker": "node licenseChecker.js",
    "prebuild": "node ./src/version.ts && npm run generate-eula && npm run license-checker",
    "build": "node --max_old_space_size=4096 node_modules/@angular/cli/bin/ng build --configuration production",
    "postbuild": "rimraf dist/3rdpartylicenses.txt",
    "build-dev": "node --max_old_space_size=4096 node_modules/@angular/cli/bin/ng build --configuration development",
    "build-watch": "node --max_old_space_size=4096 node_modules/@angular/cli/bin/ng build --configuration development --watch",
    "sync": "./node_modules/.bin/watch --wait=3 \"echo Account: ${npm_config_account} && npm run deploy_${npm_config_server} --account=${npm_config_account} && notify-send 'Data Controller' 'App is synced!' ; echo 'App is synced!'\" dist",
    "deploy_sas9": "rsync -avhe ssh ./dist/* --delete ${npm_config_account}@sas.4gl.io:/opt/sas/sas9/config/Lev1/Web/WebServer/htdocs/${npm_config_account}/dc/dev",
    "deploy_viya": "rsync -avhe ssh ./dist/* --delete ${npm_config_account}@sas.4gl.io:/var/www/html/${npm_config_account}/dc/dev",
    "deploy_sasjs": "rsync -avhe ssh ./dist/* --delete root@${npm_config_account}.4gl.io:/var/www/html/dc/dev",
    "viyabuild": "cd build; ./viyabuild.sh",
    "lint": "cd .. && npm run lint",
    "test": "npx ng test",
    "test:headless": "npx ng test --no-watch --no-progress --browsers ChromeHeadlessCI",
    "watch": "ng test watch=true",
    "pree2e": "webdriver-manager update",
    "e2e": "protractor protractor.config.js",
    "postinstall": "node ./src/version.ts && npm run add-githook",
    "add-githook": "[ -d ../.git ] && git config core.hooksPath ./.git-hooks || true",
    "cypress": "cypress open",
    "cy:run": "cypress run",
    "audit:prod": "npm audit --omit=dev",
    "sasdocs": "sasjs doc && ./sasjs/utils/deploydocs.sh",
    "compodoc:build": "compodoc -p tsconfig.doc.json --name 'Data Controller Client'",
    "compodoc:build-and-serve": "compodoc -p tsconfig.doc.json -s --name 'Data Controller Client'",
    "compodoc:serve": "compodoc -s --name 'Data Controller Client'",
    "lighthouse": "lhci autorun"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^17.3.3",
    "@angular/cdk": "^17.3.3",
    "@angular/common": "^17.3.3",
    "@angular/compiler": "^17.3.3",
    "@angular/core": "^17.3.3",
    "@angular/forms": "^17.3.3",
    "@angular/platform-browser": "^17.3.3",
    "@angular/platform-browser-dynamic": "^17.3.3",
    "@angular/router": "^17.3.3",
    "@cds/core": "^6.15.1",
    "@clr/angular": "file:libraries/clr-angular-17.9.0.tgz",
    "@clr/icons": "^13.0.2",
    "@clr/ui": "file:libraries/clr-ui-17.9.0.tgz",
    "@handsontable/angular-wrapper": "16.0.1",
    "@sasjs/adapter": "^4.12.2",
    "@sasjs/utils": "^3.4.0",
    "@sheet/crypto": "file:libraries/sheet-crypto.tgz",
    "@types/d3-graphviz": "^2.6.7",
    "@types/text-encoding": "0.0.35",
    "base64-arraybuffer": "^0.2.0",
    "buffer": "^5.4.3",
    "crypto-browserify": "^3.12.1",
    "crypto-js": "^4.2.0",
    "d3-graphviz": "^5.0.2",
    "fs-extra": "^7.0.1",
    "handsontable": "^16.0.1",
    "https-browserify": "1.0.0",
    "hyperformula": "^2.5.0",
    "iconv-lite": "^0.5.0",
    "jquery-datetimepicker": "^2.5.21",
    "jsrsasign": "^10.2.0",
    "marked": "^5.0.0",
    "moment": "^2.26.0",
    "ngx-clipboard": "^16.0.0",
    "ngx-json-viewer": "file:libraries/ngx-json-viewer-3.2.1.tgz",
    "nodejs": "0.0.0",
    "os-browserify": "0.3.0",
    "rxjs": "^7.8.0",
    "save-svg-as-png": "^1.4.17",
    "stream-browserify": "3.0.0",
    "stream-http": "3.2.0",
    "text-encoding": "^0.7.0",
    "tslib": "^2.3.0",
    "vm": "^0.1.0",
    "webpack": "^5.91.0",
    "xlsx": "^0.18.5",
    "zone.js": "~0.14.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.3.3",
    "@angular-eslint/builder": "17.3.0",
    "@angular-eslint/eslint-plugin": "17.3.0",
    "@angular-eslint/eslint-plugin-template": "17.3.0",
    "@angular-eslint/schematics": "17.3.0",
    "@angular-eslint/template-parser": "17.3.0",
    "@angular/cli": "^17.3.3",
    "@angular/compiler-cli": "^17.3.3",
    "@babel/plugin-proposal-private-methods": "^7.18.6",
    "@compodoc/compodoc": "^1.1.21",
    "@cypress/webpack-preprocessor": "^5.17.1",
    "@types/core-js": "^2.5.5",
    "@types/crypto-js": "^4.2.1",
    "@types/es6-shim": "^0.31.39",
    "@types/jasmine": "~5.1.4",
    "@types/lodash-es": "^4.17.3",
    "@types/marked": "^4.3.0",
    "@types/node": "12.20.50",
    "@typescript-eslint/eslint-plugin": "^5.29.0",
    "@typescript-eslint/parser": "^5.29.0",
    "core-js": "^2.5.4",
    "cypress": "12.17.1",
    "cypress-file-upload": "^5.0.8",
    "cypress-plugin-tab": "^1.0.5",
    "cypress-real-events": "^1.8.1",
    "es6-shim": "^0.35.5",
    "eslint": "^8.33.0",
    "git-describe": "^4.0.4",
    "jasmine-core": "~5.1.2",
    "karma": "~6.4.3",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.1",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "license-checker": "25.0.1",
    "lodash-es": "^4.17.21",
    "mochawesome": "^7.1.3",
    "mutationobserver-shim": "^0.3.3",
    "replace-in-file": "^6.3.5",
    "rimraf": "3.0.2",
    "ts-loader": "^9.2.8",
    "ts-node": "^3.3.0",
    "typescript": "~5.4.4",
    "wait-on": "^6.0.1",
    "watch": "^1.0.2",
    "@lhci/cli": "^0.12.0"
  }
}
